Subject: [bug#55170] [PATCH 0/5] gnu: dealii: Add SUNDIALS dependency and update to 9.3.3.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 29 Apr 2022 14:02:27 +0200

Hello,

"Paul A. Patience" <[email-masked]> skribis:

> This patch series must be applied on top of the v2 patches in bug#50080 [1].
> It adds SUNDIALS to deal.II's dependencies and updates deal.II to the latest
> version.

Awesome.

> Unfortunately, and as I mentioned in bug#50080 [1], I cannot get Trilinos to
> compile, even though it doesn't seem to have changed since commit
> 06c11434c9288bc70ba958227d47d31d5e46eda7, which added the
> trilinos-for-dealii-openmpi package.
> Non-MPI deal.II compiles fine with this patch series.
>
> In other words, this patch series is probably fine to push, but we still need
> to address Trilinos's failing build.
>
> I would appreciate it if anyone (Ludovic?) could try building dealii-openmpi
> (and therefore trilinos-for-dealii-openmpi) with this patch series applied, to
> check if the problem is only on my end or not.
>
> [1]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=50080

For me ‘sundials-openmpi-5.8.0’ fails like this:

--8<---------------cut here---------------start------------->8---
-- CXX standard set to 11
Appending C RELWITHDEBINFO flags
Appending CXX RELWITHDEBINFO flags
Appending Fortran RELWITHDEBINFO flags
-- Could NOT find MPI_C (missing: MPI_C_LIB_NAMES MPI_C_HEADER_DIR MPI_C_WORKS) (Required is at least version "2.0.0")
-- Could NOT find MPI_CXX (missing: MPI_CXX_LIB_NAMES MPI_CXX_HEADER_DIR MPI_CXX_WORKS) (Required is at least version "2.0.0")
-- Could NOT find MPI_Fortran (missing: MPI_Fortran_LIB_NAMES MPI_Fortran_F77_HEADER_DIR MPI_Fortran_MODULE_DIR MPI_Fortran_WORKS) (Required is at least version "2.0.0")
CMake Error at /gnu/store/zga679c4nldah9l8dhd5a4hdy820hcyf-cmake-minimal-3.21.4/share/cmake-3.21/Modules/FindPackageHandleStandardArgs.cmake:230 (message):
  Could NOT find MPI (missing: MPI_C_FOUND MPI_CXX_FOUND MPI_Fortran_FOUND)
  (Required is at least version "2.0.0")
Call Stack (most recent call first):
  /gnu/store/zga679c4nldah9l8dhd5a4hdy820hcyf-cmake-minimal-3.21.4/share/cmake-3.21/Modules/FindPackageHandleStandardArgs.cmake:594 (_FPHSA_FAILURE_MESSAGE)
  /gnu/store/zga679c4nldah9l8dhd5a4hdy820hcyf-cmake-minimal-3.21.4/share/cmake-3.21/Modules/FindMPI.cmake:1748 (find_package_handle_standard_args)
  cmake/tpl/SundialsMPI.cmake:71 (find_package)
  cmake/SundialsSetupTPLs.cmake:22 (include)
  CMakeLists.txt:168 (include)

-- Configuring incomplete, errors occurred!
See also "/tmp/guix-build-sundials-openmpi-5.8.0.drv-0/build/CMakeFiles/CMakeOutput.log".
See also "/tmp/guix-build-sundials-openmpi-5.8.0.drv-0/build/CMakeFiles/CMakeError.log".
error: in phase 'configure': uncaught exception:
%exception #<&invoke-error program: "cmake" arguments: ("../sundials-5.8.0" "-DCMAKE_BUILD_TYPE=RelWithDebInfo" "-DCMAKE_INSTALL_PREFIX=/gnu/store/95ax5rqb6k1rkfii2i2nnbjfazr58zvi-sundials-openmpi-5.8.0" "-DCMAKE_INSTALL_LIBDIR=lib" "-DCMAKE_INSTALL_RPATH_USE_LINK_PATH=TRUE" "-DCMAKE_INSTALL_RPATH=/gnu/store/95ax5rqb6k1rkfii2i2nnbjfazr58zvi-sundials-openmpi-5.8.0/lib" "-DCMAKE_VERBOSE_MAKEFILE=ON" "-DENABLE_MPI:BOOL=ON" "-DCMAKE_C_FLAGS=-O2 -g -fcommon" "-DEXAMPLES_ENABLE_C:BOOL=ON" "-DEXAMPLES_ENABLE_CXX:BOOL=ON" "-DEXAMPLES_ENABLE_F77:BOOL=ON" "-DEXAMPLES_ENABLE_F90:BOOL=ON" "-DEXAMPLES_INSTALL:BOOL=OFF" "-DFCMIX_ENABLE:BOOL=ON" "-DKLU_ENABLE:BOOL=ON" "-DKLU_INCLUDE_DIR=/gnu/store/cp95d1qfj1vsjn95rzj0f035rs966v0b-suitesparse-5.10.1/include" "-DKLU_LIBRARY_DIR=/gnu/store/cp95d1qfj1vsjn95rzj0f035rs966v0b-suitesparse-5.10.1/lib") exit-status: 1 term-signal: #f stop-signal: #f> 
phase `configure' failed after 3.2 seconds
command "cmake" "../sundials-5.8.0" "-DCMAKE_BUILD_TYPE=RelWithDebInfo" "-DCMAKE_INSTALL_PREFIX=/gnu/store/95ax5rqb6k1rkfii2i2nnbjfazr58zvi-sundials-openmpi-5.8.0" "-DCMAKE_INSTALL_LIBDIR=lib" "-DCMAKE_INSTALL_RPATH_USE_LINK_PATH=TRUE" "-DCMAKE_INSTALL_RPATH=/gnu/store/95ax5rqb6k1rkfii2i2nnbjfazr58zvi-sundials-openmpi-5.8.0/lib" "-DCMAKE_VERBOSE_MAKEFILE=ON" "-DENABLE_MPI:BOOL=ON" "-DCMAKE_C_FLAGS=-O2 -g -fcommon" "-DEXAMPLES_ENABLE_C:BOOL=ON" "-DEXAMPLES_ENABLE_CXX:BOOL=ON" "-DEXAMPLES_ENABLE_F77:BOOL=ON" "-DEXAMPLES_ENABLE_F90:BOOL=ON" "-DEXAMPLES_INSTALL:BOOL=OFF" "-DFCMIX_ENABLE:BOOL=ON" "-DKLU_ENABLE:BOOL=ON" "-DKLU_INCLUDE_DIR=/gnu/store/cp95d1qfj1vsjn95rzj0f035rs966v0b-suitesparse-5.10.1/include" "-DKLU_LIBRARY_DIR=/gnu/store/cp95d1qfj1vsjn95rzj0f035rs966v0b-suitesparse-5.10.1/lib" failed with status 1
builder for `/gnu/store/nrj3w5gmy3g00880hwh3gxkp3kgzpxgd-sundials-openmpi-5.8.0.drv' failed with exit code 1
--8<---------------cut here---------------end--------------->8---

So it seems there’s a problem earlier than expected?

Thanks,
Ludo’.